%define 	name binkd
%define 	ver  0.9.5
%define 	rel  alt0.7

Summary: 	Binkd - tcp/ip line FTN mailer
Name: 		%name
Version: 	%ver
Release: 	%rel
Group: 		System/Servers
License: 	GPL
Packager:	FTN Development Team <ftn@packages.altlinux.org>

AutoReq: 	yes, noperl, nopam, noshell

PreReq: 	ftn
PreReq: 	/var/lock/serial

BuildPreReq:	kernel-headers

Source: 	%name-%version.tar.gz
Source1: 	%name.init
Source2: 	%name.xinetd
Source3: 	%name.conf
Source4: 	%name.logrotate

Patch1: 	%name-default-config.patch
Patch2:		binkdaso.patch

%description
Binkd is a simple tcp/ip line FTN mailer. Look sample configs for more
information.

%package xinetd
Summary: xinetd service %name for incoming BinkP sessions
Group: System/Servers
Requires: %name = %version-%release
PreReq: xinetd

%description xinetd
Binkd is a simple tcp/ip line FTN mailer. Look sample configs for more
information.

This package contains xinetd service %name for incoming BinkP sessions

%prep
%setup -q
%patch1 -p1
%patch2 -p1
cp mkfls/unix/* .

%build
./configure --prefix=%prefix --sysconfdir=%_sysconfdir --with-https 

%make_build

%install
%__mkdir_p %buildroot%_sbindir
%__mkdir_p %buildroot%_initdir
%__mkdir_p %buildroot%_mandir
%__mkdir_p %buildroot%_man8dir
%__mkdir_p %buildroot%_docdir
%__mkdir_p %buildroot%_docdir/%name-%version/
%__mkdir_p %buildroot%_sysconfdir/{ftn,xinetd.d}
%__mkdir_p %buildroot%_sysconfdir/logrotate.d

%make PREFIX=%buildroot/%prefix install

%__install %SOURCE1 %buildroot%_initdir/%name
%__install %SOURCE2 %buildroot%_sysconfdir/xinetd.d/%name
%__install %SOURCE3 %buildroot%_sysconfdir/ftn/%name.cfg

%__install %buildroot/%prefix/man/man8/%name.8 %buildroot%_man8dir/%name.8
%__install %buildroot/%prefix/etc/%name.conf-dist %buildroot%_docdir/%name-%version/%name.conf-example
%__install COPYING %buildroot%_docdir/%name-%version/COPYING
%__install !README %buildroot%_docdir/%name-%version/README
%__install !README.FIX %buildroot%_docdir/%name-%version/README.FIX
%__install !SRIF.TXT %buildroot%_docdir/%name-%version/SRIF.TXT

%__install %SOURCE4 %buildroot%_sysconfdir/logrotate.d/%name

rm -f %buildroot%_sbindir/%name
mv %buildroot%_sbindir/%name-0.9.5a %buildroot%_sbindir/%name

%post 
%post_service %name

:>> "%_logdir/ftn/%name.log"
%__chown ftn:ftn "%_logdir/ftn/%name.log"
%__chmod 640 "%_logdir/ftn/%name.log"
 
%preun 
%preun_service %name

%files
%attr(755,root,root) %config %_initdir/%name

%dir %attr(750,ftn,ftn) %_sysconfdir/ftn/
%attr(640,ftn,ftn)   %config(noreplace) %_sysconfdir/ftn/%name.cfg

%attr(750,ftn,ftn)   %_sbindir/%name

%attr(644,root,root) %_man8dir/*

%dir %attr(755,root,root) %_docdir/%name-%version
%doc %attr(644,root,root) %_docdir/%name-%version/%name.conf-example
%doc %attr(644,root,root) %_docdir/%name-%version/COPYING
%doc %attr(644,root,root) %_docdir/%name-%version/README
%doc %attr(644,root,root) %_docdir/%name-%version/README.FIX
%doc %attr(644,root,root) %_docdir/%name-%version/SRIF.TXT

%config(noreplace) %attr(644,root,root) %_sysconfdir/logrotate.d/%name

%files xinetd
%attr(644,root,root) %_sysconfdir/xinetd.d/%name

%changelog
* Mon Feb 10 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.9.5-alt0.7
- Added ASO 4D Outbound style support

* Sun Feb 02 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.9.5-alt0.6
- Added Packager Tag 

* Sun Feb 02 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.9.5-alt0.5
- Build for ALTLinux Master 2.2 distribution
- added logrotate configuration file for binkd
- removed xinetd restart after install/uninstall

* Sat Dec 28 2002 Albert R. Valiev <darkstar@altlinux.ru> 0.9.5-alt0.4
- Fixed bug 1768 (package doesn't create logfile after install)

* Mon Oct 21 2002 Albert R. Valiev <darkstar@altlinux.ru> 0.9.5-alt0.3
- Some spec file bugs corrections

* Sat Oct 19 2002 Albert R. Valiev <darkstar@altlinux.ru> 0.9.5-alt0.2
- spec file corrections

* Fri Oct 18 2002 Albert R. Valiev <darkstar@altlinux.ru> 0.9.5-alt0.1
- Build new CVS snapshot with gcc-3.2
